//ETA 图库模块
import { get,post } from "./index";

// /**
//  * 通过code获取图表详情
//  * @param UniqueCode 
//  */
// export function apiChartInfoByCode(params){
//     return get('/datamanage/chart_info/common/detail/from_unique_code',params)
// }

// /**
//  * ETA图库列表（公用图库列表）
//  * @param PageSize
//  * @param CurrentIndex
//  * @param ChartClassifyId
//  * @param KeyWord
//  * @param IsShowMe
//  */
// export function apiPubChartList(params){
//     return get('/my_chart/chart/list',params)
// }

// /**
//  * 通过id获取图表详情
//  * @param ChartInfoId 
//  * @param Calendar 
//  * @param DateType
//  * @param StartDate
//  * @param EndDate
//  */
// export function apiChartInfoById(params){
//     return get('/datamanage/chart_info/detail',params)
// }

// /**
//  * 获取指标详情
//  * @param EdbInfoId 
//  * @param DateType  1:00年至今,2:10年至今,3:15年至今，4：21年至今，5:自定义时间
//  * @param StartDate 
//  * @param EndDate 
//  * @param EdbInfoType 1:标准指标,0:领先指标
//  * @param LeadValue 
//  * @param LeadUnit 
//  */
// export function apiEDBInfo(params){
//     return get('/datamanage/chart_info/edb_info/detail',params)
// }

// /**
//  * 获取ETA图库分类数据
//  */
// export function apiETAChartClassifyList(){
//     return get('/datamanage/chart_classify/items',{})
// }

// /**
//  * ETA图库图表另存为
//  * @param ChartInfoId
//  * @param ChartClassifyId
//  * @param ChartName
//  */
// export function apiETAChartSaveOther(params){
//     return post('/datamanage/chart_info/copy',params)
// }



export default{
    /**
     * 通过code获取图表详情
     * @param UniqueCode 
     */
    chartInfoByCode:params=>{
        return get('/datamanage/chart_info/common/detail/from_unique_code',params)
    },
    /**
     * ETA图库列表（公用图库列表）
     * @param PageSize
     * @param CurrentIndex
     * @param ChartClassifyId
     * @param KeyWord
     * @param IsShowMe
     */
    pubChartList:params=>{
        return get('/my_chart/chart/list',params)
    },
    /**
     * 通过id获取图表详情
     * @param ChartInfoId 
     * @param Calendar 
     * @param DateType
     * @param StartDate
     * @param EndDate
     */
    chartInfoById:params=>{
        return get('/datamanage/chart_info/detail',params)
    },
    /**
     * 获取指标详情
     * @param EdbInfoId 
     * @param DateType  1:00年至今,2:10年至今,3:15年至今，4：21年至今，5:自定义时间
     * @param StartDate 
     * @param EndDate 
     * @param EdbInfoType 1:标准指标,0:领先指标
     * @param LeadValue 
     * @param LeadUnit 
     */
    EDBInfo:params=>{
        return get('/datamanage/chart_info/edb_info/detail',params)
    },
    /**
     * 获取ETA图库分类数据
     */
    ETAChartClassifyList:()=>{
        return get('/datamanage/chart_classify/items',{})
    },
    /**
     * ETA图库图表另存为
     * @param ChartInfoId
     * @param ChartClassifyId
     * @param ChartName
     */
    ETAChartSaveOther:params=>{
        return post('/datamanage/chart_info/copy',params)
    },
    /**
     * 获取ETA图库列表数据
     * @param Keyword
     * @param CurrentIndex
     * @param PageSize
     * @param IsShowMe
     */
    ETAChartListByES:params=>{
        return get('/datamanage/chart_info/search_by_es',params)
    },
    /**
     * 多图表一键刷新
     * @param ChartInfoCode
     */
    refreshChartMultiple(params){
        return post('/datamanage/chart_info/batch_refresh',params)
    },
    /**
     * 添加图表分类
     * @param ChartClassifyName 
     * @param ParentId 一级分类时传0
     * @param Level 一级分类0 二级分类1
     */
    addNewClassify(params){
        return post('/datamanage/chart_classify/add',params)
    },
    /**
     * 编辑图表分类
     * @param ChartClassifyName
     * @param ChartClassifyId
     */
    editClassify(params){
        return post('/datamanage/chart_classify/edit',params)
    },
    /**
     * 删除图表分类/图表
     * @param ChartClassifyId 
     * @param ChartInfoId
     */
    deleteClassify(params){
        return post('/datamanage/chart_classify/delete',params)
    },
    /**
     * 删除图表分类/图表检测
     * @param ChartClassifyId
     * @param ChartInfoId
        0 可删除
        1 有关联图表,不可删除
        2 有子目录无图表,可删除
     */
    deleteCheck(params){
        return post('/datamanage/chart_classify/delete/check',params)
    },
    /**
     * 移动分类
     * @param ClassifyId
     * @param ParentClassifyId
     * @param PrevClassifyId 0
     * @param NextClassifyId 0
     */
    moveClassify(params){
        return post('/datamanage/chart_classify/move',params)
    },
    /**
     * 移动图表
     * @param ChartClassifyId
     * @param ChartInfoId
     * @param PrevChartInfoId
     * @param NextChartInfoId
     */
    moveChart(params){
        return post('/datamanage/chart_info/move',params)
    },
    /**
     * 设置指标库中英文
     * @param ConfigCode ETA图库 chart_language
     * @param ConfigValue CN/EN
     */
    setUserLang(params){
        return post('/system/sysuser/config/set',params)
    },
    /**
     * 获取指标历史生成记录
     * @param EdbInfoId
     */
    getEdbCreateHistory(params){
        return get('/datamanage/edb_info/trace',params)
    },
    /**
     * 刷新图表
     * @param ChartInfoId 
     */
    chartRefresh(params){
        return get('/datamanage/chart_info/refresh',params)
    },
    /**
     * 编辑图表英文信息
     * @param ChartInfoId
     * @param ChartNameEn
     * @param ChartEdbInfoList {EdbInfoId,EdbNameEn,UnitEn}
     * @param ExtraConfig 如果是截面散点图(chartType===10)需要加这个 {}
     */
    chartInfoEditEn(params){
        return post('/datamanage/chart_info/en/edit',params)
    },
    /*
     * 图切换上一张下一张
     * @param KeyWord
     * @param ChartClassifyId
     * @param IsShowMe
     */
    chartLocate(params){
        return get('/my_chart/chart/locate',params)
    },
    /*
     * 保存图表
     * @param 
     *    ChartClassifyId: number,
          ChartInfoId: number,
          ChartEdbInfoList: [],
          不同图表类型有不同参数
     * @returns 
     */
    chartSave(params){
        return post('/datamanage/chart_info/save',params)
    },
    /*
     * 上传图表缩略图
     * @param FormData
     * @returns 
     */
    uploadChartImg(params){
        return post('/datamanage/chart_info/base64Upload',params)
    },
    /*
     * 设置图表缩略图
     * @param ChartInfoId ImageUrl
     * @returns 
     */
    setChartImg(params){
        return post('/datamanage/chart_info/image/set',params)
    },

    /** 
	 * 获取图表批量刷新结果
	 *   Source ReportId ReportChapterId
	 * 
	 */
	getReportrefreshStatus: params => {
		return post('/datamanage/chart_info/batch_refresh/result',params)
	}
} 